Loading...
Searching...
No Matches
neumann-laplace-lambda.cc

The Poisson problem with Neumann boundary conditions. More...

Go to the source code of this file.

## Functions

Float | f (const point &x)
Float | g (const point &x)
int | main (int argc, char **argv)

## Variables

size_t | d

## Detailed Description

The Poisson problem with Neumann boundary conditions.

This file is part of Rheolef.

Copyright (C) 2000-2009 Pierre Saramito Pierr.nosp@m.e.Sa.nosp@m.ramit.nosp@m.o@im.nosp@m.ag.fr

Rheolef is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Rheolef is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Rheolef; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Definition in file neumann-laplace-lambda.cc.

## Function Documentation

## f()

Float f | ( | const point & | x | ) |

Definition at line 29 of file neumann-laplace-lambda.cc.

## g()

Float g | ( | const point & | x | ) |

Definition at line 30 of file neumann-laplace-lambda.cc.

## main()

int main | ( | int | argc,
|  | char ** | argv )

Definition at line 31 of file neumann-laplace-lambda.cc.

## Variable Documentation

## d

size_t d

Examples
  burgers_diffusion_dg.cc, burgers_diffusion_operators.icc, commute_rtd.cc, commute_rtd_error.cc, convect.cc, convect2.cc, convect_error.cc, convect_hdg.cc, convect_hdg_error.cc, cosinus_vector.h, cosinusprod.h, cosinusprod_dirichlet.h, cosinusprod_error.cc, cosinusprod_error_dg.cc, cosinusprod_error_hdg.cc, cosinusprod_error_hdg_average.cc, cosinusprod_error_hdg_post_rt.cc, cosinusprod_grad.h, cosinusprod_helmholtz.h, cosinusprod_laplace.h, cosinusprod_post_dg.cc, cosinusrad_error.cc, cosinusrad_laplace.h, diffusion_isotropic.h, diffusion_transport_tensor_dg.cc, dirichlet-nh.cc, dirichlet2.cc, dirichlet_dg.cc, dirichlet_hdg.cc, dirichlet_hdg_average.icc, dirichlet_hdg_post.cc, dirichlet_hdg_post_rt.cc, dirichlet_hho.cc, elasticity_criterion.icc, elasticity_solve.icc, elasticity_taylor_dg.cc, elasticity_taylor_error_dg.cc, embankment.cc, helmholtz_band.cc, helmholtz_band_iterative.cc, helmholtz_s.cc, helmholtz_s_error.cc, incompressible-elasticity.cc, laplace_band.cc, laplace_s.cc, leveque.h, leveque_dg.cc, navier_stokes_taylor_error_dg.cc, neumann-laplace.cc, neumann-nh.cc, neumann_dg.cc, nu.h, oldroyd_theta_scheme.h, oldroyd_theta_scheme1.h, oldroyd_theta_scheme2.h, p_laplacian1.icc, reconstruction_hho.cc, reconstruction_hho_check.cc, reconstruction_hho_v2.cc, robin.cc, rotating-hill.h, sinusprod.h, sinusprod_dirichlet.h, sinusprod_error.cc, sinusprod_error_dg.cc, sinusprod_error_hdg.cc, sinusprod_error_hdg_average.cc, sinusprod_error_hdg_post_rt.cc, sinusprod_error_hho_reconstruction.cc, sinusprod_grad.h, sinusprod_helmholtz.h, sinusprod_laplace.h, sinusrad_error.cc, sphere.icc, stokes_dirichlet_dg.icc, stokes_taylor_error_dg.cc, streamf_cavity.cc, streamf_cavity.icc, streamf_contraction.cc, stress.cc, and transmission_dg.cc.

Definition at line 28 of file neumann-laplace-lambda.cc.